Submit a request

What web browsers can I use?

Apex Learning does not support Internet Explorer® 8, following Microsoft’s announcement to end support for the browser. While all courses  will work, Apex will no longer test new features on IE 8 as they are released.  Below are the supported browsers for Apex Learning digital curriculum:

Browser Version:

Internet Explorer® 9.0 or higher

Firefox® 7.0 or higher

Safari® 5.0 or higher

Chrome® 18.0 or higher

Have more questions? Submit a request